Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Interface NonGridDrawable

All Known Subinterfaces:
  DrawableNonGridNode, NetworkDrawable

All Known Implementing Classes:
  AsynchAgent, Births, Boss, Boss, Boss, Competitor, Consultant, Consultant, Consultant, DeathMultiplier, Deaths, DefaultDrawableNode, DrawableItem, Employee, Employee, Employee, HyperCell, JainNode, JiggleNode, JinGirNewNode, Judge, OvalItem, OvalNetworkItem, OvalNode, PopulationDensity, RabbitPopulation, RectItem, RectNetworkItem, RectNode, RoundRectItem, RoundRectNetworkItem, Stapler, TrainedEmployee

    public interface NonGridDrawable

Objects that are drawn in non-grid displays.

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier

Method Summary
`boolean` | `contains(java.awt.Point p)` Does this object contain the point specified by p.
`void` | `draw(SimGraphics g)` Invoked when the object should draw itself
`int` | `getHeight()` Gets the height of this NonGridDrawable.
`int` | `getWidth()` Gets the width of this NonGridDrawable.
`double` | `getX()` Gets the x coordinate of this drawable.
`double` | `getY()` Gets the y coordinate of the this drawable.

Method Detail

### draw

    void draw(SimGraphics g)

  Invoked when the object should draw itself

### getX

    double getX()

  Gets the x coordinate of this drawable.

### getY

    double getY()

  Gets the y coordinate of the this drawable.

### getWidth

    int getWidth()

  Gets the width of this NonGridDrawable.

### getHeight

    int getHeight()

  Gets the height of this NonGridDrawable.

### contains

    boolean contains(java.awt.Point p)

  Does this object contain the point specified by p. This is necessary for probing when returning what is in a cell on a grid is impossible.

  Parameters:
    `p` - the point to test for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD